MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028980Open CASCADE[OCCT] OCCT:Codingpublic2017-08-07 21:042017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028980: Coding rules - suppress GCC compiler warnings -Warray-bounds within AdvApp2Var
DescriptionThe following false GCC 6.3.0 compiler warnings should be suppressed:
/occt.git/src/AdvApp2Var/AdvApp2Var_MathBase.cxx: In function ‘int mvgaus0_(integer*, doublereal*, 
doublereal*, integer*, integer*)’:
/occt.git/src/AdvApp2Var/AdvApp2Var_MathBase.cxx:4006:13: warning: array subscript is below array bounds 
[-Warray-bounds]
     --rootlg;
             ^
/occt.git/src/AdvApp2Var/AdvApp2Var_MathBase.cxx:3859:13: warning: array subscript is below array bounds 
[-Warray-bounds]
     --hwgaus;
             ^
/occt.git/src/AdvApp2Var/AdvApp2Var_MathBase.cxx:7170:13: warning: array subscript is below array bounds 
[-Warray-bounds]
     --valjac;
             ^
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028978closedbugmaster Coding rules - suppress GCC compiler warnings -Warray-bounds within NCollection_Array1 

-  Notes
(0069186)
git (administrator)
2017-08-07 21:38

Branch CR28980 has been created by kgv.

SHA-1: 555e643d3ff4ed6055ad54c8bbd43074be242226


Detailed log of new commits:

Author: kgv
Date: Mon Aug 7 21:36:10 2017 +0300

    0028980: Coding rules - suppress GCC compiler warnings -Warray-bounds within AdvApp2Var
(0069188)
kgv (developer)
2017-08-08 06:51

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR28980-master-KGV/ [^]
(0069215)
bugmaster (administrator)
2017-08-08 16:30

Combination -
OCCT branch : CR28980 : SHA1 - 555e643d3ff4ed6055ad54c8bbd43074be242226
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069654)
git (administrator)
2017-08-18 17:00

Branch CR28980 has been deleted by kgv.

SHA-1: 555e643d3ff4ed6055ad54c8bbd43074be242226

- Related Changesets
occt: master cd1918d6
Timestamp: 2017-08-07 18:36:10
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028980: Coding rules - suppress GCC compiler warnings -Warray-bounds within AdvApp2Var
mod - src/AdvApp2Var/AdvApp2Var_MathBase.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-07 21:04 kgv New Issue
2017-08-07 21:04 kgv Assigned To => kgv
2017-08-07 21:38 kgv Relationship added related to 0028978
2017-08-07 21:38 git Note Added: 0069186
2017-08-08 06:51 kgv Note Added: 0069188
2017-08-08 06:51 kgv Assigned To kgv => bugmaster
2017-08-08 06:51 kgv Severity minor => integration request
2017-08-08 06:51 kgv Status new => resolved
2017-08-08 06:51 kgv Description Updated View Revisions
2017-08-08 06:51 kgv Status resolved => reviewed
2017-08-08 06:53 kgv Description Updated View Revisions
2017-08-08 16:30 bugmaster Note Added: 0069215
2017-08-08 16:30 bugmaster Status reviewed => tested
2017-08-11 07:52 bugmaster Changeset attached => occt master cd1918d6
2017-08-11 07:52 bugmaster Status tested => verified
2017-08-11 07:52 bugmaster Resolution open => fixed
2017-08-18 13:02 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069654
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:29 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker